curl --request GET \
--url https://api.rewind.rest/v1/watching/shows/{id} \
--header 'Authorization: Bearer <token>'{
"id": 1,
"title": "Band of Brothers",
"year": 2001,
"tmdb_id": 4613,
"tmdb_rating": 8.5,
"content_rating": "TV-MA",
"summary": "The story of Easy Company during WWII.",
"image": {
"url": "https://cdn.rewind.rest/watching/shows/1/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
"dominant_color": "#2a2a2a",
"accent_color": "#c8a882"
},
"total_seasons": 1,
"total_episodes": 10,
"episodes_watched": 10,
"seasons": [
{
"season_number": 1,
"episodes_watched": 10,
"episodes": [
{
"season": 1,
"episode": 1,
"title": "Currahee",
"watched_at": "2024-01-15T20:00:00Z"
},
{
"season": 1,
"episode": 2,
"title": "Day of Days",
"watched_at": "2024-01-16T20:00:00Z"
}
]
}
]
}Returns full details for a single TV show including watched episodes.
curl --request GET \
--url https://api.rewind.rest/v1/watching/shows/{id} \
--header 'Authorization: Bearer <token>'{
"id": 1,
"title": "Band of Brothers",
"year": 2001,
"tmdb_id": 4613,
"tmdb_rating": 8.5,
"content_rating": "TV-MA",
"summary": "The story of Easy Company during WWII.",
"image": {
"url": "https://cdn.rewind.rest/watching/shows/1/original.jpg?width=300&height=300&fit=cover&format=auto&quality=85&v=1",
"thumbhash": "YRcKDQKadZh4d3Z4d3aHeAeAh4B3",
"dominant_color": "#2a2a2a",
"accent_color": "#c8a882"
},
"total_seasons": 1,
"total_episodes": 10,
"episodes_watched": 10,
"seasons": [
{
"season_number": 1,
"episodes_watched": 10,
"episodes": [
{
"season": 1,
"episode": 1,
"title": "Currahee",
"watched_at": "2024-01-15T20:00:00Z"
},
{
"season": 1,
"episode": 2,
"title": "Day of Days",
"watched_at": "2024-01-16T20:00:00Z"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.rewind.rest/llms.txt
Use this file to discover all available pages before exploring further.
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
Show detail
Show child attributes
Show child attributes